<?php

//更新config

$ConFile="../config.inc.php";
$SysConfigFile=$CommonPath."/update/WebShop4x.inc";

$filestr = fread(fopen($SysConfigFile, 'r'),30000);
$filestr=str_replace(" ","",$filestr);

$filestr=str_replace("DefaultWaStarPath",$WaStarPath,$filestr);
$filestr=str_replace("DefaultDbHost",$dbHost,$filestr);
$filestr=str_replace("DefaultDbName",$dbName,$filestr);
$filestr=str_replace("DefaultDbUser",$dbUser,$filestr);
$filestr=str_replace("DefaultDbPass",$dbPass,$filestr);
$filestr=str_replace("DefaultSiteUrl",$SiteUrl,$filestr);

fwrite(fopen($ConFile,"w"),$filestr,30000);
	
//更新数据
$msql->query("update $tbl_paycenter set allowback='1' where pcenter='NPS'");
$msql->query("INSERT INTO $tbl_paycenter VALUES (0, 'WESTPAY', 'WESTPAY支付平台', '', '', '', '', 0, 0, 1, '支持各种信用卡在线实时支付')");
$msql->query("alter table $tbl_yun add fromkg numeric(8,2)");
$msql->query("alter table $tbl_yun add perkg numeric(8,2)");
$msql->query("alter table $tbl_shop_con add kg numeric(8,2)");
$msql->query("alter table $tbl_shop_con add ifonline int(1)");
$msql->query("alter table $tbl_payorder add paytype int(1)");
$msql->query("alter table $tbl_payorder add realorderid int(20)");
$msql->query("update $tbl_temp set ButtonStyle='height:18px;border:1px outset;color:#000000;font-size:12px'");
$msql->query("alter table $tbl_config add CardPass char(50)");
$msql->query("alter table $tbl_config add CardKey char(50)");
$msql->query("update $tbl_config set CardPass='12345'");

$msql->query("CREATE TABLE webshop_shop_ku (
  id int(20) NOT NULL auto_increment,
  gid int(12),
  body text,
  wk varchar(255) NOT NULL default '0',
  PRIMARY KEY  (id)
)");


$msql->query("alter table $tbl_order_items add ifyun int(1)");
$msql->query("alter table $tbl_order_items add msg text");
$msql->query("alter table $tbl_order_items add ifonline int(1)");

$msql->query("ALTER TABLE $tbl_admin CHANGE password password CHAR(50)");
$msql->query("ALTER TABLE $tbl_member CHANGE password password CHAR(50)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'shop', 'query', 'center', '扩展插件[自助订花]', 'AutoBuyMainFlower', 0, 5, 60, 80, 80, '1', NULL, '', '', 0, 0, 34, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, '_back', 2, '#000000', '#ffffff', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL)");
$msql->query("INSERT INTO $tbl_page_allow VALUES (0, 'shop', 'query', 'page-con', '通栏内页模版')");
$msql->query("alter table $tbl_shop_con add iftemp int(1)");
$msql->query("alter table $tbl_order add s_email char(100)");
$msql->query("alter table $tbl_order add yuntime  int(1)");
$msql->query("alter table $tbl_order add ifonline  int(1)");

$msql->query("alter table $tbl_config add GoodsPropType int(1)");
$msql->query("alter table $tbl_config add GoodsTypeCommon char(50)");
$msql->query("alter table $tbl_config add GoodsTypeCard char(50)");
$msql->query("alter table $tbl_config add GoodsTypeGift char(50)");

$msql->query("update $tbl_config set GoodsPropType='0'");
$msql->query("update $tbl_config set GoodsTypeCommon='0|0|0|2|0|2|0|2|2|0|0|1'");
$msql->query("update $tbl_config set GoodsTypeCard='0|0|0|2|2|2|0|0|0|1|0|1'");
$msql->query("update $tbl_config set GoodsTypeGift='2|2|2|2|0|2|0|2|2|0|1|1'");
$msql->query("update $tbl_order_items set ifonline='0'");
$msql->query("update $tbl_order set ifonline='0'");
$msql->query("update $tbl_shop_con set ifonline='0'");
$msql->query("update $tbl_shop_con set iftemp='0'");



$msql->query("INSERT INTO $tbl_coltype VALUES (0, '新闻中心', 'news', '用于建立网站新闻资讯中心，每个新闻中心栏目具有栏目首页、检索页、搜索页、内容页', 1, 1)");
$msql->query("CREATE TABLE webshop_news_cat (
  catid int(12) NOT NULL auto_increment,
  pid int(12),
  cat char(50),
  xuhao int(4),
  catpath char(255),
  menuid int(8),
  nums int(20),
  PRIMARY KEY  (catid)
)");
$msql->query("CREATE TABLE webshop_news_con (
  id int(12) NOT NULL auto_increment,
  catid int(12),
  catpath varchar(255),
  title varchar(255),
  body text,
  dtime int(11),
  xuhao int(5),
  menuid int(8),
  cl int(20),
  tj int(1),
  ifnew int(1),
  ifred int(1),
  type varchar(30),
  src varchar(80),
  PRIMARY KEY  (id)
)");
$msql->query("CREATE TABLE webshop_news_link (
  id int(12) NOT NULL auto_increment,
  menuid int(20),
  fromid int(20),
  toid int(20),
  PRIMARY KEY  (id)
)");

$msql->query("INSERT INTO $tbl_page_allow VALUES (0, 'news', 'main', 'page-left', '左栏内页模版')");
$msql->query("INSERT INTO $tbl_page_allow VALUES (0, 'news', 'main', 'page-right', '右栏内页模版')");
$msql->query("INSERT INTO $tbl_page_allow VALUES (0, 'news', 'main', 'page-all', '三栏内页模版')");
$msql->query("INSERT INTO $tbl_page_allow VALUES (0, 'news', 'main', 'page-con', '通栏内页模版')");
$msql->query("INSERT INTO $tbl_page_allow VALUES (0, 'news', 'query', 'page-left', '左栏内页模版')");
$msql->query("INSERT INTO $tbl_page_allow VALUES (0, 'news', 'query', 'page-right', '右栏内页模版')");
$msql->query("INSERT INTO $tbl_page_allow VALUES (0, 'news', 'detail', 'page-left', '左栏内页模版')");
$msql->query("INSERT INTO $tbl_page_allow VALUES (0, 'news', 'detail', 'page-right', '右栏内页模版')");
$msql->query("INSERT INTO $tbl_page_allow VALUES (0, 'news', 'detail', 'page-con', '通栏内页模版')");
$msql->query("INSERT INTO $tbl_page_allow VALUES (0, 'news', 'search', 'page-left', '左栏内页模版')");
$msql->query("INSERT INTO $tbl_page_allow VALUES (0, 'news', 'search', 'page-con', '通栏内页模版')");
$msql->query("INSERT INTO $tbl_page_allow VALUES (0, 'news', 'main', 'page-con', '通栏内页模版')");

$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'main', 'left', '分类菜单[普通一级分类]', 'LeftBigCat', 0, 2, 999, 1, 1, '3', 'icon/70.gif', '', '', 0, 0, 7, 1, 'padding-top:8px;padding-bottom:5px;border-bottom-color:#c0c0c0;border-bottom-width:1px;border-bottom-style:dashed;', '', '', '', 0, 0, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'main', 'left', '分类菜单[普通二级分类]', 'LeftTwoCat', 0, 2, 0, 0, 0, '', 'icon/70.gif', '', '', 0, 0, 7, 2, 'color:#c0c0c0;background:#f2f2f2;padding-top:6px;padding-left:6px;padding-right:6px;padding-bottom:6px;border-bottom-color:#c0c0c0;border-bottom-width:1px;border-bottom-style:dashed; ', 'color:#c0c0c0;background:#ffffff;padding-top:6px;padding-left:6px;padding-right:6px;padding-bottom:6px;border-bottom-color:#c0c0c0;border-bottom-width:1px;border-bottom-style:dashed; ', 'color:#000000;', 'color:#000000;', 0, 0, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'main', 'right', '分类菜单[普通一级分类]', 'LeftBigCat', 0, 2, 999, 1, 1, '3', 'icon/70.gif', '', '', 0, 0, 7, 1, 'padding-top:8px;padding-bottom:5px;border-bottom-color:#c0c0c0;border-bottom-width:1px;border-bottom-style:dashed;', '', '', '', 0, 0, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'main', 'right', '分类菜单[普通二级分类]', 'LeftTwoCat', 0, 2, 0, 0, 0, '', 'icon/70.gif', '', '', 0, 0, 7, 2, 'color:#c0c0c0;background:#f2f2f2;padding-top:6px;padding-left:6px;padding-right:6px;padding-bottom:6px;border-bottom-color:#c0c0c0;border-bottom-width:1px;border-bottom-style:dashed; ', 'color:#c0c0c0;background:#ffffff;padding-top:6px;padding-left:6px;padding-right:6px;padding-bottom:6px;border-bottom-color:#c0c0c0;border-bottom-width:1px;border-bottom-style:dashed; ', 'color:#000000;', 'color:#000000;', 0, 0, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'main', 'left', '分类菜单[树型多级分类]', 'LeftTreeCat', 0, 1, 1, 1, 1, '1', '70', '', '', 0, 1, 1, 0, '', '', '', '', 0, 0, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'main', 'right', '分类菜单[树型多级分类]', 'LeftTreeCat', 0, 1, 1, 1, 1, '1', '70', '', '', 0, 1, 1, 0, '', '', '', '', 0, 0, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'main', 'left', '分类菜单[模版按钮菜单]', 'LeftMenuCat', 0, 1, 0, 0, 0, '', '', '', '', 0, 1, 0, 0, '', '', '', '', 0, 0, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'main', 'right', '分类菜单[模版按钮菜单]', 'LeftMenuCat', 0, 1, 0, 0, 0, '', '', '', '', 0, 1, 0, 0, '', '', '', '', 0, 0, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'query', 'left', '分类菜单[普通一级分类]', 'LeftBigCat', 0, 2, 999, 1, 1, '3', 'icon/70.gif', '', '', 0, 0, 7, 1, 'padding-top:8px;padding-bottom:5px;border-bottom-color:#c0c0c0;border-bottom-width:1px;border-bottom-style:dashed;', '', '', '', 0, 0, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'query', 'left', '分类菜单[普通二级分类]', 'LeftTwoCat', 0, 2, 0, 0, 0, '', 'icon/70.gif', '', '', 0, 0, 7, 2, 'color:#c0c0c0;background:#f2f2f2;padding-top:6px;padding-left:6px;padding-right:6px;padding-bottom:6px;border-bottom-color:#c0c0c0;border-bottom-width:1px;border-bottom-style:dashed; ', 'color:#c0c0c0;background:#ffffff;padding-top:6px;padding-left:6px;padding-right:6px;padding-bottom:6px;border-bottom-color:#c0c0c0;border-bottom-width:1px;border-bottom-style:dashed; ', 'color:#000000;', 'color:#000000;', 0, 0, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'query', 'left', '分类菜单[模版按钮菜单]', 'LeftMenuCat', 0, 1, 0, 0, 0, '', '', '', '', 0, 1, 0, 0, '', '', '', '', 0, 0, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'query', 'left', '分类菜单[树型多级分类]', 'LeftTreeCat', 0, 1, 1, 1, 1, '1', '70', '', '', 0, 1, 1, 0, '', '', '', '', 0, 0, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'query', 'right', '分类菜单[普通一级分类]', 'LeftBigCat', 0, 2, 999, 1, 1, '3', 'icon/70.gif', '', '', 0, 0, 7, 1, 'padding-top:8px;padding-bottom:5px;border-bottom-color:#c0c0c0;border-bottom-width:1px;border-bottom-style:dashed;', '', '', '', 0, 0, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'query', 'right', '分类菜单[普通二级分类]', 'LeftTwoCat', 0, 2, 0, 0, 0, '', 'icon/70.gif', '', '', 0, 0, 7, 2, 'color:#c0c0c0;background:#f2f2f2;padding-top:6px;padding-left:6px;padding-right:6px;padding-bottom:6px;border-bottom-color:#c0c0c0;border-bottom-width:1px;border-bottom-style:dashed; ', 'color:#c0c0c0;background:#ffffff;padding-top:6px;padding-left:6px;padding-right:6px;padding-bottom:6px;border-bottom-color:#c0c0c0;border-bottom-width:1px;border-bottom-style:dashed; ', 'color:#000000;', 'color:#000000;', 0, 0, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'query', 'right', '分类菜单[模版按钮菜单]', 'LeftMenuCat', 0, 1, 0, 0, 0, '', '', '', '', 0, 1, 0, 0, '', '', '', '', 0, 0, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'query', 'right', '分类菜单[树型多级分类]', 'LeftTreeCat', 0, 1, 1, 1, 1, '1', '70', '', '', 0, 1, 1, 0, '', '', '', '', 0, 0, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'detail', 'left', '分类菜单[普通一级分类]', 'LeftBigCat', 0, 2, 999, 1, 1, '3', 'icon/70.gif', '', '', 0, 0, 7, 1, 'padding-top:8px;padding-bottom:5px;border-bottom-color:#c0c0c0;border-bottom-width:1px;border-bottom-style:dashed;', '', '', '', 0, 0, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'detail', 'left', '分类菜单[普通二级分类]', 'LeftTwoCat', 0, 2, 0, 0, 0, '', 'icon/70.gif', '', '', 0, 0, 7, 2, 'color:#c0c0c0;background:#f2f2f2;padding-top:6px;padding-left:6px;padding-right:6px;padding-bottom:6px;border-bottom-color:#c0c0c0;border-bottom-width:1px;border-bottom-style:dashed; ', 'color:#c0c0c0;background:#ffffff;padding-top:6px;padding-left:6px;padding-right:6px;padding-bottom:6px;border-bottom-color:#c0c0c0;border-bottom-width:1px;border-bottom-style:dashed; ', 'color:#000000;', 'color:#000000;', 0, 0, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'detail', 'left', '分类菜单[模版按钮菜单]', 'LeftMenuCat', 0, 1, 0, 0, 0, '', '', '', '', 0, 1, 0, 0, '', '', '', '', 0, 0, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'detail', 'left', '分类菜单[树型多级分类]', 'LeftTreeCat', 0, 1, 1, 1, 1, '1', '70', '', '', 0, 1, 1, 0, '', '', '', '', 0, 0, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'detail', 'right', '分类菜单[普通一级分类]', 'LeftBigCat', 0, 2, 999, 1, 1, '3', 'icon/70.gif', '', '', 0, 0, 7, 1, 'padding-top:8px;padding-bottom:5px;border-bottom-color:#c0c0c0;border-bottom-width:1px;border-bottom-style:dashed;', '', '', '', 0, 0, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'detail', 'right', '分类菜单[普通二级分类]', 'LeftTwoCat', 0, 2, 0, 0, 0, '', 'icon/70.gif', '', '', 0, 0, 7, 2, 'color:#c0c0c0;background:#f2f2f2;padding-top:6px;padding-left:6px;padding-right:6px;padding-bottom:6px;border-bottom-color:#c0c0c0;border-bottom-width:1px;border-bottom-style:dashed; ', 'color:#c0c0c0;background:#ffffff;padding-top:6px;padding-left:6px;padding-right:6px;padding-bottom:6px;border-bottom-color:#c0c0c0;border-bottom-width:1px;border-bottom-style:dashed; ', 'color:#000000;', 'color:#000000;', 0, 0, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'detail', 'right', '分类菜单[模版按钮菜单]', 'LeftMenuCat', 0, 1, 0, 0, 0, '', '', '', '', 0, 1, 0, 0, '', '', '', '', 0, 0, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'detail', 'right', '分类菜单[树型多级分类]', 'LeftTreeCat', 0, 1, 1, 1, 1, '1', '70', '', '', 0, 1, 1, 0, '', '', '', '', 0, 0, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'search', 'left', '分类菜单[普通一级分类]', 'LeftBigCat', 0, 2, 999, 1, 1, '3', 'icon/70.gif', '', '', 0, 0, 7, 1, 'padding-top:8px;padding-bottom:5px;border-bottom-color:#c0c0c0;border-bottom-width:1px;border-bottom-style:dashed;', '', '', '', 0, 0, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'search', 'left', '分类菜单[普通二级分类]', 'LeftTwoCat', 0, 2, 0, 0, 0, '', 'icon/70.gif', '', '', 0, 0, 7, 2, 'color:#c0c0c0;background:#f2f2f2;padding-top:6px;padding-left:6px;padding-right:6px;padding-bottom:6px;border-bottom-color:#c0c0c0;border-bottom-width:1px;border-bottom-style:dashed; ', 'color:#c0c0c0;background:#ffffff;padding-top:6px;padding-left:6px;padding-right:6px;padding-bottom:6px;border-bottom-color:#c0c0c0;border-bottom-width:1px;border-bottom-style:dashed; ', 'color:#000000;', 'color:#000000;', 0, 0, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'search', 'left', '分类菜单[模版按钮菜单]', 'LeftMenuCat', 0, 1, 0, 0, 0, '', '', '', '', 0, 1, 0, 0, '', '', '', '', 0, 0, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'search', 'left', '分类菜单[树型多级分类]', 'LeftTreeCat', 0, 1, 1, 1, 1, '1', '70', '', '', 0, 1, 1, 0, '', '', '', '', 0, 0, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'query', 'center', '分类菜单[从第一级开始显示]', 'CenterCat', 0, 3, 99, 0, 0, '2', 'icon/81.gif', '', '', 0, 1, 7, 1, 'color:#c0c0c0;font-size:12px;background:#ffffff;', '', 'color:#000000;font-size:14px;text-decoration:underline;', '', 0, 0, 0, '', '', 1, '_self', 1, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'query', 'center', '分类菜单[从第二级开始显示]', 'CenterSmallCat', 0, 3, 99, 0, 0, '2', 'icon/81.gif', '', '', 0, 1, 7, 1, 'color:#c0c0c0;font-size:12px;background:#ffffff;', '', 'color:#000000;font-size:14px;text-decoration:underline;', '', 0, 0, 0, '', '', 1, '_self', 1, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'query', 'center', '文章检索[分类翻页检索功能]', 'MainList', 0, 1, 20, 1, 1, '1', 'icon/94.gif', 'Y-n-j H:i:s', '', 0, 0, 3, 1, 'color:#c0c0c0;', '', 'color:#000000;', '', 0, 0, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'main', 'left', '自由编辑区域', 'LeftEdit', 1, 1, 1, 1, 1, '1', 'icon/1.gif', '', '', 0, 0, 9, 0, '', '', '', '', NULL, NULL, 0, NULL, NULL, 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'main', 'right', '自由编辑区域', 'LeftEdit', 1, 1, 1, 1, 1, '1', 'icon/1.gif', '', '', 0, 0, 9, 0, '', '', '', '', NULL, NULL, 0, NULL, NULL, 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'main', 'center', '自由编辑区域', 'CenterEdit', 1, 1, 1, 1, 1, '1', 'icon/1.gif', '', '', 0, 0, 9, 0, '', '', '', '', NULL, NULL, 0, NULL, NULL, 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'query', 'left', '自由编辑区域', 'LeftEdit', 1, 1, 1, 1, 1, '1', 'icon/1.gif', '', '', 0, 0, 9, 0, '', '', '', '', NULL, NULL, 0, NULL, NULL, 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'query', 'right', '自由编辑区域', 'LeftEdit', 1, 1, 1, 1, 1, '1', 'icon/1.gif', '', '', 0, 0, 9, 0, '', '', '', '', NULL, NULL, 0, NULL, NULL, 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'query', 'center', '自由编辑区域', 'CenterEdit', 1, 1, 1, 1, 1, '1', 'icon/1.gif', '', '', 0, 0, 9, 0, '', '', '', '', NULL, NULL, 0, NULL, NULL, 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'detail', 'left', '自由编辑区域', 'LeftEdit', 1, 1, 1, 1, 1, '1', 'icon/1.gif', '', '', 0, 0, 9, 0, '', '', '', '', NULL, NULL, 0, NULL, NULL, 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'detail', 'center', '自由编辑区域', 'CenterEdit', 1, 1, 1, 1, 1, '1', 'icon/1.gif', '', '', 0, 0, 9, 0, '', '', '', '', NULL, NULL, 0, NULL, NULL, 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'detail', 'right', '自由编辑区域', 'LeftEdit', 1, 1, 1, 1, 1, '1', 'icon/1.gif', '', '', 0, 0, 9, 0, '', '', '', '', NULL, NULL, 0, NULL, NULL, 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'search', 'left', '自由编辑区域', 'LeftEdit', 1, 1, 1, 1, 1, '1', 'icon/1.gif', '', '', 0, 0, 9, 0, '', '', '', '', NULL, NULL, 0, NULL, NULL, 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'search', 'center', '自由编辑区域', 'CenterEdit', 1, 1, 1, 1, 1, '1', 'icon/1.gif', '', '', 0, 0, 9, 0, '', '', '', '', NULL, NULL, 0, NULL, NULL, 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'query', 'left', '定制文章列表', 'LeftList', 1, 1, 5, 0, 0, '1', 'icon/70.gif', 'n/j H:i', '', 1, 0, 2, 1, 'color:#c0c0c0;padding-top:6px;padding-left:5px;padding-right:5px;padding-bottom:6px;border-bottom-color:#c0c0c0;border-bottom-width:1px;border-bottom-style:dashed; ', '', 'color:#000000; ', '', 0, 1, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'query', 'right', '定制文章列表', 'LeftList', 1, 1, 5, 0, 0, '1', 'icon/70.gif', 'n/j H:i', '', 1, 0, 2, 1, 'color:#c0c0c0;padding-top:6px;padding-left:5px;padding-right:5px;padding-bottom:6px;border-bottom-color:#c0c0c0;border-bottom-width:1px;border-bottom-style:dashed; ', '', 'color:#000000; ', '', 0, 1, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'query', 'center', '文章搜索表单', 'SearchForm', 0, 1, 1, 1, 1, '1', 'icon/1.gif', '', '', 0, 0, 0, 0, '', '', '', '', NULL, NULL, 0, NULL, NULL, 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'query', 'center', '定制文章列表', 'CenterList', 1, 1, 5, 0, 0, '1', 'icon/70.gif', 'Y/n/j H:i:s', '', 1, 0, 4, 0, '', '', '', '', 0, 0, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'main', 'left', '定制文章列表', 'NewsMainLeftList', 1, 1, 5, 0, 0, '1', 'icon/70.gif', 'n/j H:i', '', 1, 0, 41, 1, 'color:#c0c0c0;padding-top:6px;padding-left:5px;padding-right:5px;padding-bottom:6px;border-bottom-color:#c0c0c0;border-bottom-width:1px;border-bottom-style:dashed; ', '', 'color:#000000; ', '', 0, 1, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'detail', 'left', '定制文章列表', 'LeftList', 1, 1, 5, 0, 0, '1', 'icon/70.gif', 'n/j H:i', '', 1, 0, 2, 1, 'color:#c0c0c0;padding-top:6px;padding-left:5px;padding-right:5px;padding-bottom:6px;border-bottom-color:#c0c0c0;border-bottom-width:1px;border-bottom-style:dashed; ', '', 'color:#000000; ', '', 0, 1, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'detail', 'right', '定制文章列表', 'LeftList', 1, 1, 5, 0, 0, '1', 'icon/70.gif', 'n/j H:i', '', 1, 0, 2, 1, 'color:#c0c0c0;padding-top:6px;padding-left:5px;padding-right:5px;padding-bottom:6px;border-bottom-color:#c0c0c0;border-bottom-width:1px;border-bottom-style:dashed; ', '', 'color:#000000; ', '', 0, 1, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'detail', 'center', '文章内容显示', 'CenterText', 0, 1, 1, 1, 1, '1', '', '', '', 0, 0, 99, 1, 'background:#ffffff;padding-top:30px;padding-left:20px;padding-right:20px;padding-bottom:20px;', '', 'color:#000000;font-size:14px;line-height:130%;', '', 0, 0, 0, '', '', 1, '_self', 1, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'detail', 'center', '文章搜索表单', 'SearchForm', 0, 1, 1, 1, 1, '1', 'icon/1.gif', '', '', 0, 0, 0, 0, '', '', '', '', NULL, NULL, 0, NULL, NULL, 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'detail', 'center', '定制文章列表', 'CenterList', 1, 1, 5, 0, 0, '1', 'icon/70.gif', 'Y/n/j H:i:s', '', 1, 0, 4, 1, 'color:#c0c0c0;font-size:12px;background:#ffffff; ', '', 'color:#000000;font-size:14px;text-decoration:underline; ', '', 0, 0, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'detail', 'center', '相关评论列表[论坛风格]', 'CenterCommentBbs', 1, 1, 5, 0, 0, '1', 'icon/38.gif', 'Y年n月j日', '', 1, 0, 32, 2, 'color:#000000;font-size:12px;background:#cce2fb;', 'color:#000000;font-size:12px;background:#ffffff;', 'color:#000000;font-size:12px;', 'color:#000000;font-size:12px;', 0, 0, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', '')");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'detail', 'center', '相关评论列表[新闻风格]', 'CenterCommentNews', 1, 1, 5, 0, 0, '1', 'icon/38.gif', 'Y年n月j日', '', 1, 0, 33, 2, 'color:#666666;font-size:12px;background:#cce2fb;', 'color:#666666;font-size:12px;background:#ffffff;', 'color:#000000;font-size:12px;', 'color:#000000;font-size:12px;', 0, 0, 0, '', '', 1, '_self', 2, '#000000', '1', '', '', '', '', '', '', '', '')");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'detail', 'center', '发表评论表单', 'CenterCommentForm', 1, 1, 5, 0, 0, '1', 'icon/38.gif', 'Y年n月j日', '', 1, 0, 0, 2, 'color:#000000;font-size:12px;background:#cce2fb;', 'color:#000000;font-size:12px;background:#ffffff;', 'color:#000000;font-size:12px;', 'color:#000000;font-size:12px;', 0, 0, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', '')");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'search', 'left', '定制文章列表', 'LeftList', 1, 1, 5, 0, 0, '1', 'icon/70.gif', 'n/j H:i', '', 1, 0, 2, 1, 'color:#c0c0c0;padding-top:6px;padding-left:5px;padding-right:5px;padding-bottom:6px;border-bottom-color:#c0c0c0;border-bottom-width:1px;border-bottom-style:dashed; ', '', 'color:#000000; ', '', 0, 1, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'search', 'center', '文章搜索表单', 'SearchForm', 0, 1, 1, 1, 1, '1', 'icon/1.gif', '', '', 0, 0, 0, 0, '', '', '', '', NULL, NULL, 0, NULL, NULL, 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'search', 'center', '文章搜索结果', 'SearchResult', 0, 1, 10, 0, 0, '1', '', 'Y/n/j H:i:s', '', 0, 0, 11, 2, 'color:#000000;background:#f2f2f2;padding-top:15px;padding-left:15px;padding-right:5px;padding-bottom:10px;', 'color:#000000;background:#ffffff;padding-top:15px;padding-left:15px;padding-right:10px;padding-bottom:10px;', 'color:#0000a0;font-size:14px;text-decoration:underline;', 'color:#0000a0;font-size:14px;text-decoration:underline;', 0, 0, 150, '', '', 0, '_self', 1, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'main', 'right', '定制文章列表', 'NewsMainLeftList', 1, 1, 5, 0, 0, '1', 'icon/70.gif', 'n/j H:i', '', 1, 0, 41, 1, 'color:#c0c0c0;padding-top:6px;padding-left:5px;padding-right:5px;padding-bottom:6px;border-bottom-color:#c0c0c0;border-bottom-width:1px;border-bottom-style:dashed; ', '', 'color:#000000; ', '', 0, 1, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'main', 'center', '定制文章列表', 'NewsMainCenterList', 1, 1, 5, 0, 0, '1', 'icon/70.gif', 'Y/n/j H:i:s', '', 1, 0, 42, 1, 'color:#c0c0c0;', '', 'color:#000000; ', '', 0, 0, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'main', 'center', '文章搜索表单', 'SearchForm', 0, 1, 1, 1, 1, '1', 'icon/1.gif', '', '', 0, 0, 0, 0, '', '', '', '', NULL, NULL, 0, NULL, NULL, 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'detail', 'center', '相关文章列表', 'CenterRelationList', 1, 1, 5, 0, 0, '1', 'icon/70.gif', 'Y/n/j H:i:s', '', 1, 0, 4, 1, 'color:#c0c0c0;font-size:12px;background:#ffffff; ', '', 'color:#000000;font-size:14px;text-decoration:underline; ', '', 0, 0, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', '')");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'detail', 'left', '相关文章列表', 'LeftRelationList', 1, 1, 5, 0, 0, '1', 'icon/70.gif', 'n/j H:i', '', 1, 0, 2, 1, 'color:#c0c0c0;padding-top:6px;padding-left:5px;padding-right:5px;padding-bottom:6px;border-bottom-color:#c0c0c0;border-bottom-width:1px;border-bottom-style:dashed; ', '', 'color:#000000; ', '', 0, 0, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', '')");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'detail', 'right', '相关文章列表', 'LeftRelationList', 1, 1, 5, 0, 0, '1', 'icon/70.gif', 'n/j H:i', '', 1, 0, 2, 1, 'color:#c0c0c0;padding-top:6px;padding-left:5px;padding-right:5px;padding-bottom:6px;border-bottom-color:#c0c0c0;border-bottom-width:1px;border-bottom-style:dashed; ', '', 'color:#000000; ', '', 0, 0, 0, '', '', 1, '_self', 2, '#000000', '', '', '', '', '', '', '', '', '')");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'main', 'center', '图文新闻列表', 'NewsMainCenterImageList', 1, 1, 5, 135, 100, '1', 'icon/89.gif', '0', '', 0, 0, 43, 1, 'color:#c0c0c0;', '', 'color:#000000; ', '', 0, 0, 0, '', 'left', 0, '_self', 2, '#000000', '0', '', '1', '0', '1', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'main', 'left', '图文新闻列表', 'NewsMainLeftImageList', 1, 1, 0, 135, 100, '1', 'icon/89.gif', '0', '', 0, 0, 43, 1, 'color:#c0c0c0;', '', 'color:#000000; ', '', 0, 0, 0, '', 'left', 0, '_self', 2, '#000000', '0', '', '5', '1', '1', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'main', 'right', '图文新闻列表', 'NewsMainLeftImageList', 1, 1, 0, 135, 100, '1', 'icon/89.gif', '0', '', 0, 0, 43, 1, 'color:#c0c0c0;', '', 'color:#000000; ', '', 0, 0, 0, '', 'left', 0, '_self', 2, '#000000', '0', '', '5', '1', '1', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'query', 'center', '图文新闻列表', 'NewsCenterImageList', 1, 1, 5, 135, 100, '1', 'icon/89.gif', '0', '', 0, 0, 44, 1, 'color:#c0c0c0;', '', 'color:#000000; ', '', 0, 1, 0, '', 'left', 0, '_self', 2, '#000000', '0', '', '1', '0', '1', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'query', 'left', '图文新闻列表', 'NewsLeftImageList', 1, 1, 0, 135, 100, '1', 'icon/89.gif', '0', '', 0, 0, 44, 1, 'color:#c0c0c0;', '', 'color:#000000; ', '', 0, 1, 0, '', 'left', 0, '_self', 2, '#000000', '0', '', '5', '1', '1', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'query', 'right', '图文新闻列表', 'NewsLeftImageList', 1, 1, 0, 135, 100, '1', 'icon/89.gif', '0', '', 0, 0, 44, 1, 'color:#c0c0c0;', '', 'color:#000000; ', '', 0, 1, 0, '', 'left', 0, '_self', 2, '#000000', '0', '', '5', '1', '1', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'detail', 'left', '图文新闻列表', 'NewsLeftImageList', 1, 1, 0, 135, 100, '1', 'icon/89.gif', '0', '', 0, 0, 44, 1, 'color:#c0c0c0;', '', 'color:#000000; ', '', 0, 1, 0, '', 'left', 0, '_self', 2, '#000000', '0', '', '5', '1', '1', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'detail', 'center', '图文新闻列表', 'NewsCenterImageList', 1, 1, 5, 135, 100, '1', 'icon/89.gif', '0', '', 0, 0, 44, 1, 'color:#c0c0c0;', '', 'color:#000000; ', '', 0, 1, 0, '', 'left', 0, '_self', 2, '#000000', '0', '', '1', '0', '1', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'detail', 'right', '图文新闻列表', 'NewsLeftImageList', 1, 1, 0, 135, 100, '1', 'icon/89.gif', '0', '', 0, 0, 44, 1, 'color:#c0c0c0;', '', 'color:#000000; ', '', 0, 1, 0, '', 'left', 0, '_self', 2, '#000000', '0', '', '5', '1', '1', '', '', '', NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'news', 'search', 'left', '图文新闻列表', 'NewsLeftImageList', 1, 1, 0, 135, 100, '1', 'icon/89.gif', '0', '', 0, 0, 44, 1, 'color:#c0c0c0;', '', 'color:#000000; ', '', 0, 1, 0, '', 'left', 0, '_self', 2, '#000000', '0', '', '5', '1', '1', '', '', '', NULL)");

$msql->query("INSERT INTO $tbl_idx_type VALUES (0, '定制文章列表', 'NewsMainList', 'news', 0, 0, 1, 5, 0, 0, '1', 'icon/1.gif', 'Y年n月j日', '', 1, 0, 1, 1, '文章列表', '', 4, 1, 'color:#c0c0c0;', '', 'color:#000000;', '', 0, 0, 0, '', '', 0, '_self', '#000000', '', '', '', '', '', '', '', '')");
$msql->query("INSERT INTO $tbl_idx_type VALUES (0, '首页图文新闻', 'NewsMainImageList', 'news', 0, 0, 1, 5, 135, 100, '1', 'icon/89.gif', '0', '0', 0, 0, 1, 1, '图文新闻', '', 43, 1, 'color:#c0c0c0;', '', 'color:#000000;', '', 0, 0, 0, '', 'left', 0, '_self', '#000000', '0', '', '1', '1', '1', '', '', '')");


$msql->query("INSERT INTO $tbl_admin_menu VALUES (0, 22, '新闻文章管理', '', 9, 1, 'mainframe', 'admin')");
$instid=$msql->instid();
$msql->query("INSERT INTO $tbl_admin_menu VALUES (0, '$instid', '新闻分类', 'news_cat_frame.php', 1, 0, 'mainframe', 'admin')");
$msql->query("INSERT INTO $tbl_admin_menu VALUES (0, '$instid', '新闻管理', 'news_frame.php', 2, 0, 'mainframe', 'admin')");


$msql->query("ALTER TABLE $tbl_comment ADD memberid int(12) AFTER id");
$msql->query("ALTER TABLE $tbl_comment ADD catid INT(12) AFTER memberid");
$msql->query("ALTER TABLE $tbl_comment ADD backtime INT(11) AFTER uptime");
$msql->query("ALTER TABLE $tbl_comment ADD backname varchar(100)");
$msql->query("ALTER TABLE $tbl_comment ADD zd int(1)");
$msql->query("ALTER TABLE $tbl_comment ADD gg int(1)");
$msql->query("ALTER TABLE $tbl_comment ADD jh int(1)");


$msql->query("CREATE TABLE webshop_comment_cat (
  catid int(12) NOT NULL auto_increment,
  cat varchar(50),
  coltype varchar(30),
  xuhao int(4),
  moveable int(1),
  iftitle int(1),
  PRIMARY KEY  (catid)
)"); 

$msql->query("CREATE TABLE webshop_comment_con (
  id int(12) NOT NULL auto_increment,
  catid int(12),
  title char(100),
  xuhao int(4),
  PRIMARY KEY  (id)
)");



$msql->query("INSERT INTO webshop_comment_cat VALUES (1, '新闻评论', 'news', 9999, 0, 0)");
$msql->query("INSERT INTO webshop_comment_cat VALUES (2, '商品评论', 'shop', 9998, 0, 0)");
$msql->query("INSERT INTO webshop_comment_cat VALUES (3, '文章评论', 'ns', 9997, 0, 0)");

$now=time();
$msql->query("update $tbl_comment set memberid='0',backtime='$now'");
$msql->query("update $tbl_comment set catid='2' where coltype='shop'");
$msql->query("update $tbl_comment set catid='3' where coltype='ns'");

$msql->query("delete from  $tbl_admin_menu where menu='评论管理'");
$msql->query("delete from  $tbl_admin_menu where menu='评论审核'");


$msql->query("INSERT INTO $tbl_admin_menu VALUES (0, 0, '会员社区', '', 5, 1, 'mainframe', 'admin')");
$instid=$msql->instid();

$msql->query("INSERT INTO $tbl_admin_menu VALUES (0, '$instid', '文章审核', 'bbs_new.php', 1, 0, 'mainframe', 'admin')");
$msql->query("INSERT INTO $tbl_admin_menu VALUES (0, '$instid', '文章管理', 'bbs_frame.php', 2, 0, 'mainframe', 'admin')");
$msql->query("INSERT INTO $tbl_admin_menu VALUES (0, '$instid', '区域设置', 'bbs_cat.php', 3, 0, 'mainframe', 'admin')");


$msql->query("INSERT INTO $tbl_coltype VALUES (0, '会员社区', 'comment', '可建立多个讨论区域的小型会员社区系统，包含了商品评论、文章评论等固定区域', 0, 1)");

$msql->query("INSERT INTO $tbl_page_allow VALUES (0, 'comment', 'main', 'page-left', '左栏内页模版')");
$msql->query("INSERT INTO $tbl_page_allow VALUES (0, 'comment', 'query', 'page-left', '左栏内页模版')");
$msql->query("INSERT INTO $tbl_page_allow VALUES (0, 'comment', 'detail', 'page-left', '左栏内页模版')");
$msql->query("INSERT INTO $tbl_page_allow VALUES (0, 'comment', 'send', 'page-left', '左栏内页模版')");
$msql->query("INSERT INTO $tbl_page_allow VALUES (0, 'comment', 'main', 'page-right', '右栏内页模版')");
$msql->query("INSERT INTO $tbl_page_allow VALUES (0, 'comment', 'main', 'page-all', '三栏内页模版')");
$msql->query("INSERT INTO $tbl_page_allow VALUES (0, 'comment', 'main', 'page-con', '通栏内页模版')");

$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'comm', 'comm', 'left', '通用插件[会员社区文章]', 'Bbslist', 1, 1, 10, 0, 0, '1', 'icon/5.gif', '0', '0', 0, 0, 50, 1, 'padding-top:5px;padding-left:5px;padding-bottom:5px;color:#cccccc', NULL, 'color:#000000', NULL, 0, 0, 0, '0', '0', 0, '_self', 1, '#000000', 'list.htm', NULL, NULL, NULL, NULL, NULL, NULL, NULL,  NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'comm', 'comm', 'right', '通用插件[会员社区文章]', 'Bbslist', 1, 1, 10, 0, 0, '1', 'icon/5.gif', '0', '0', 0, 0, 50, 1, 'padding-top:5px;padding-left:5px;padding-bottom:5px;color:#cccccc', NULL, 'color:#000000', NULL, 0, 0, 0, '0', '0', 0, '_self', 1, '#000000', 'list.htm', NULL, NULL, NULL, NULL, NULL, NULL, NULL,  NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'comm', 'comm', 'center', '通用插件[会员社区文章]', 'Bbslist', 1, 1, 10, 0, 0, '1', 'icon/5.gif', '0', '0', 0, 0, 50, 1, 'padding-top:5px;padding-left:5px;padding-bottom:5px;color:#cccccc', NULL, 'color:#000000', NULL, 0, 0, 0, '0', '0', 0, '_self', 1, '#000000', 'list.htm', NULL, NULL, NULL, NULL, NULL, NULL, NULL,  NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'comm', 'comm', 'left', '通用插件[会员社区导航]', 'CommentCatAll', 0, 3, 999, 0, 0, '2', '0', '0', '0', 0, 1, 49, 2, 'background:#f2f2f2;padding-top:5px;padding-left:5px;padding-bottom:5px;border-bottom-color:#efefef;border-bottom-width:1px;border-bottom-style:solid;', 'background:#ffffff;padding-top:3px;padding-left:5px;padding-bottom:3px;', 'color:#000000;font-size:12px;', 'color:#000000;font-size:12px;', 0, 0, 0, '0', '0', 0, '_self', 2, '#000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,  NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'comm', 'comm', 'center', '通用插件[会员社区导航]', 'CommentCatAll', 0, 3, 999, 0, 0, '2', '0', '0', '0', 0, 1, 49, 2, 'background:#f2f2f2;padding-top:5px;padding-left:5px;padding-bottom:5px;border-bottom-color:#efefef;border-bottom-width:1px;border-bottom-style:solid;', 'background:#ffffff;padding-top:3px;padding-left:5px;padding-bottom:3px;', 'color:#000000;font-size:12px;', 'color:#000000;font-size:12px;', 0, 0, 0, '0', '0', 0, '_self', 2, '#000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,  NULL)");
$msql->query("INSERT INTO $tbl_edit_type VALUES (0, 'comm', 'comm', 'right', '通用插件[会员社区导航]', 'CommentCatAll', 0, 3, 999, 0, 0, '2', '0', '0', '0', 0, 1, 49, 2, 'background:#f2f2f2;padding-top:5px;padding-left:5px;padding-bottom:5px;border-bottom-color:#efefef;border-bottom-width:1px;border-bottom-style:solid;', 'background:#ffffff;padding-top:3px;padding-left:5px;padding-bottom:3px;', 'color:#000000;font-size:12px;', 'color:#000000;font-size:12px;', 0, 0, 0, '0', '0', 0, '_self', 2, '#000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,  NULL)");
$msql->query("ALTER TABLE $tbl_edit ADD frommenuid int(12) AFTER edittype");
$msql->query("ALTER TABLE $tbl_edit ADD fromcatid int(12) AFTER frommenuid");

$msql->query("CREATE TABLE webshop_pj (
  id int(12) NOT NULL auto_increment,
  memberid int(20),
  type char(20),
  rid char(20),
  pj int(20),
  dtime int(11),
  PRIMARY KEY  (id)
)");
$msql->query("alter table $tbl_shop_con add pj int(20)");
$msql->query("alter table $tbl_config add StarMethod char(100)");
$msql->query("update $tbl_config set StarMethod='1,10,30,50,100'");
$msql->query("update $tbl_shop_con set pj='0'");

$msql->query("INSERT INTO webshop_help VALUES (2, NULL, NULL, '运费是如何计算的？', '在配送方法设置中，可以设置每种配送方法的起点运费、起点重量、单位运费（即每公斤运费）等参数；在商品管理中可以设置商品的重量。根据这些数据，系统按以下规律计算运费。\r\n\r\n当订单中商品的总重量没有超过起点重量时：\r\n订单运费=起点运费\r\n\r\n当订单中商品的总重量超过起点重量时：\r\n订单运费=起点运费+(超过部分重量×单位运费)\r\n\r\n另外，如果您觉得为每个商品设置重量来计算运费很麻烦的话，您也可以不设置。可以将订单受理方式改为“人工受理”，这时顾客下订单后不能马上付款，订单进入“未受理订单”中，您可以在订单受理时再调整订单的运费。\r\n', NULL, NULL, NULL)");
$msql->query("INSERT INTO webshop_help VALUES (3, NULL, NULL, '商品积分有什么作用？', '在购买商品自动产生积分时，有两种方式：“按商品固定积分计算”或“按实际购买价格计算”（在会员设置->会员积分设置 ）\r\n\r\n如果选择“按商品固定积分”时，您需要在商品管理时为每个商品填写一个积分；\r\n如果选择“按实际购买价格积分”时，您不需要在商品管理时填写积分\r\n', NULL, NULL, NULL)");
$msql->query("INSERT INTO webshop_help VALUES (4, NULL, NULL, '关于商品库存', '问：普通商品和数字商品入库有何区别？\r\n答：普通商品填写库存数量即可。数字商品应按“数字商品入库”按钮，输入卡号密码等资料，每行一个;系统自动判断你输入了多少个卡号，自动计算库存数量。因此，对于数字商品，手工输入库存数量是无效的。\r\n\r\n问：库存不足时会发生什么事情？\r\n答：时当商品库存不足时，商品加入购物车或在购物车中修改商品数量时，将提示库存不足\r\n', NULL, NULL, NULL)");
$msql->query("INSERT INTO webshop_help VALUES (6, NULL, NULL, '关于商品定价', '商品最多可定12档价格，其中价格一是公开的价格，其他价格只有相应会员级别才能看到\r\n\r\n问：如何给一个会员类型指定一个价格级别？\r\n答：“在会员设置->会员类型设置”中，设置一个会员类型的“默认权限”。其中，会员价格权限就是控制该会员类型使用哪个价格级别的\r\n\r\n问：如何给某个会员指定一个价格级别？\r\n答：在“会员管理->会员查询管理”中，可设置每个会员的权限，其中价格权限就是规定该会员单独价格级别的\r\n\r\n问：如何为某一商品针对某一会员设置一个单独的价格？\r\n答：在商品管理中，选择“定价”，在弹出对话框中选择“会员特殊定价”，输入会员名找到需要特殊定价的会员，指定一个价格即可', NULL, NULL, NULL)");
$msql->query("INSERT INTO webshop_help VALUES (7, 8, NULL, '关于发布选项', '[发布]：选择此项时商品才会在网站显示\r\n\r\n[推荐]：当您在一个自定义商品列表中设置为“只显示推荐商品”时，就只显示选中此项目的商品\r\n\r\n[特价]：和推荐类似\r\n\r\n[热卖]：和推荐类似\r\n请注意这个“热卖”只是一种状态，并不说明这个商品的实际销售情况\r\n\r\n问：如何显示商品销售排行榜\r\n答：商品销售排行榜有专门的插件，可在页面设置中选择。可设置显示周排行或月排行', NULL, NULL, NULL)");
$msql->query("INSERT INTO webshop_help VALUES (8, NULL, NULL, '关于支付平台', '实时支付平台就是集很多银行支付接口为一体，通过为商家提供实时收款服务收取佣金的服务商。\r\n\r\n目前国内已有数十家支付平台，本系统集成了10家主要的支付平台接口，您可以根据自己的需要，在其中任何一家支付平台开户，并将其提供的商家帐号（或称商家ID）和密匙填写好，即可直接使用支付平台，实现实时收款了！\r\n\r\n问：为什么我不能直接通过银行接口实现在线收款？\r\n答：不同的顾客持有不同的银行卡，每个银行（甚至同一银行不同地区）的支付网关都是不同的，光国内就有上百个银行网关，而且银行提供网关接口比较昂贵，对于中小型商店来说，自己找所有银行建立“网上银行收款帐户”几乎是不可能的事情。这也是支付平台服务商最昂贵的成本。所以一般中小型商店都通过支付平台接受在线付款。\r\n\r\n问：支付平台是如何收取费用的？\r\n答：一般支付平台都收取年费和佣金\r\n\r\n问：我如何选择支付平台？\r\n答：如果您的交易量不大，选取一些可以免年费的支付平台，免年费的一般佣金比较高，大概是交易额的2-2.5%；如果您交易量比较大，那就应该选择支付年费，佣金低的支付平台，按年费不同，佣金一般是1-1.5%\r\n。另外，选择支付平台时还应该看清楚结算时间，就是支付平台收到钱后在多少时间内转付给你。\r\n\r\n问：有没有不收年费，佣金又便宜的支付平台？\r\n答：可能有，但应判断清楚，支付平台也是有成本的。只有合理的价格才有持久的服务，选择没有规模价格过低的支付平台，应小心上当受骗。', NULL, NULL, NULL)");
$msql->query("INSERT INTO webshop_help VALUES (9, NULL, NULL, '关于实时入帐', '顾客支付成功后，银行会返回一组加密信息给支付平台，支付平台再返回一组加密信息给商店。商店系统收到这一返回信息后首先判断该信息的合法性、金额是否和订单相符等信息，在确保安全后将支付金额自动加入到会员帐户（或自动处理订单）。\r\n\r\n通过这个设置，你可以选择支付成功后是否将款自动加入会员帐户（或自动处理订单）。\r\n\r\n对于实时发货（卡类）商品，如果选择了自动处理订单，卡号密码等信息将自动发给顾客。\r\n\r\n问：什么情况下支付成功后自动入会员帐户？\r\n答：当顾客选择会员专区菜单中的“在线支付”，支付成功后，款自动加入会员帐户。这种情况下，顾客需要在款入帐后，在订单付款处选择“从会员帐户扣款支付此订单”。\r\n\r\n问：什么情况下支付成功后自动处理订单？\r\n答：当顾客选择订单付款中的“在线支付”按钮时，付款成功后自动处理该订单。这种情况下系统将判断所支付的金额是否和订单金额相符。\r\n\r\n问：我是否可以让每笔付款都支付订单，不要入会员帐户？\r\n答：可以，在会员类型设置功能中，选择功能菜单设置，关闭那个“在线支付”的菜单，用户就只能直接支付订单，不能支付预付款了。', NULL, NULL, NULL)");
$msql->query("INSERT INTO webshop_help VALUES (10, NULL, NULL, '关于在线支付流水单号对照表', '当顾客选择了通过支付平台在线付款时，系统自动产生一个流水单号，并始终跟随支付过程。当支付成功返回时，系统依据这个流水单号来自动处理支付结果。如果遇到临时网络故障（银行和支付平台故障），系统无法收到支付结果时，可用这个表和支付平台的记录进行对照。\r\n\r\n问：有流水单号产生肯定有付款吗？\r\n答：不一定，顾客在进入支付平台或银行的过程中可能取消支付计划。\r\n\r\n问：为什么不是直接将订单号提交给支付平台？\r\n答：因为本系统支持预付款和订单直接付款两种模式，并非所有付款都针对订单。所以系统在支付前自动生成一个流水单号，并自动记录该流水单号是用来支付订单或预付款的。\r\n\r\n问：是不是需要经常看这个对照表？\r\n答：不是，顾客支付成功后，订单、预付款、支付记录等都会被自动处理，所以一般情况下不需要看这个对照表。只在顾客支付成功，但因网络故障（或银行和支付平台故障），系统无法收到支付结果时，才需要用这个表和支付平台的记录进行对照。', NULL, NULL, NULL)");
$msql->query("INSERT INTO webshop_help VALUES (11, NULL, NULL, '什么是付款到帐确认？', '财务人员可使用付款到帐确认功能，确认每一笔会员入帐是否真正在银行有一笔对应的到帐记录。\r\n\r\n问：这个功能有什么具体应用？\r\n用途一：你允许一些特殊的客户采用传真底单方式即入帐使用，此功能帮助你记住哪些款还没有真正到帐\r\n用途二：当顾客通过在线支付付款并直接入帐后，财务人员可核对每一笔入帐是否和支付平台的记录相符\r\n\r\n问：按下到帐确认按钮时，会员帐户会加款吗？\r\n答：不会，本功能是起到检查对照作用的。按下到帐确认按钮时只能说明已经加到会员帐户的一笔款已经真实到达银行帐户了。\r\n\r\n问：我可以不使用这个功能吗？\r\n答：您可以当这个功能不存在，这不影响会员帐户资金使用。', NULL, NULL, NULL)");
$msql->query("INSERT INTO webshop_help VALUES (12, NULL, NULL, '关于商品特性', '某些商品在订单项目和流程上有很大区别，指定不同的商品特性不但可以使系统自动判断流程，还可以给不同特性的商品指定不同的订单项目。\r\n\r\n[数字商品]\r\n数字商品一般是指数字卡，收费帐号等可以“实时发货”的商品。数字商品的特点是：\r\n1、直接将卡号密码加密入库保存\r\n2、顾客购买后直接通过显示和邮件方式发货\r\n3、订单项目中应包括电子邮件，没有通信地址等项目。\r\n\r\n[礼赠商品]\r\n礼赠商品是指可以作为礼品赠送给别人的商品。特点是可指定不同的订货人和收货人，顾客可指定发货时间。\r\n\r\n\r\n问：数字商品的卡号密码是如何储存的？\r\n答：卡号密码以加密的方式储存在数据库中。每一套商店系统（正式版）有一个独有的系统密匙，商店经营者再设置一个自定密匙。当输入卡号密码后，系统通过两个密匙计算出加密字符，保存在数据库中。自动发卡时，取出卡号密码再解密发送给顾客。\r\n\r\n问：实物卡是否作为数字商品？\r\n答：实物卡相当于普通商品，不要选中“数字商品”。\r\n\r\n问：数字商品入库后，我如何看到库存的卡号密码？\r\n答：在商品管理中，按“数字商品入库”，在卡号库内输入“库存查询密码”，才能看到已经输入的卡号和密码\r\n\r\n问：如何设置不同特性商品具有不同订单项目？\r\n答：在商店参数设置，您可以为每一种特性商品指定不同的订单项目。\r\n\r\n问：不同特性的商品可以在同一个订单购买吗？\r\n答：不能，不同特性商品订单项目不同，处理流程也有区别，因此不能在同一个订单中购买。\r\n\r\n', NULL, NULL, NULL)");
$msql->query("INSERT INTO webshop_help VALUES (15, NULL, NULL, '关于添加商品', '为了进一步加强扩展属性和多重分类功能，从V4.3版本开始，在添加商品时只允许添加到最终类别。\r\n\r\n问：商品只允许添加到最终类别是否影响前台网站显示？\r\n答：不影响，前台网站当选择一个上级分类时，仍会显示下属分类的商品\r\n\r\n问：我在v4.3以前就添加了商品，很多是添加在中间类别的，是否会有影响？\r\n答：不会影响前台网站的显示。但如果您原来发布商品时没有选择类别，现在修改商品就必须要选择类别了。', NULL, NULL, NULL)");
$msql->query("INSERT INTO webshop_help VALUES (13, NULL, NULL, '关于订单配送', '[商品配送确认]\r\n按配送按钮,将订单中的商品标注为已配送状态,同时减少库存,增加销量\r\n\r\n[数字商品发货]\r\n按发货按钮,将订单中的数字商品在线发货(在订单明细中显示),并标注为已发货状态,同时减少库存,增加销量\r\n\r\n[订单全部配送完成]\r\n当订单中的所有商品配送都成为完成状态时,可以按订单全部配送完成,将整个订单的配送状态变为已完成.\r\n\r\n\r\n\r\n', NULL, NULL, NULL)");
$msql->query("INSERT INTO webshop_help VALUES (19, NULL, NULL, '关于清理临时商品', '[什么是临时商品?]\r\n在一些组合商品(如:自助订花)订购过程中，系统会自动产生临时商品。这些临时商品在网站和管理系统中都是看不到的。\r\n\r\n[什么时候需要清除临时商品？]\r\n临时商品过多可能会导致数据库速度变慢，所以如果您如果使用了组合商品功能(如:自助订花)就应该定期清除临时商品。根据组合商品的订购频度，一般2-3个月清理一次即可。\r\n\r\n\r\n\r\n', NULL, NULL, NULL)");
$msql->query("INSERT INTO webshop_help VALUES (16, NULL, NULL, '关于选择商品类别', '问：添加商品时怎样选择类别？\r\n答：可以在添加商品前先在左侧的树型类别菜单中先选好类别，也可以在进入添加商品界面时再重新选择商品类别。\r\n\r\n问：为什么发布商品时必须正确选择类别？\r\n答：每个不同的商品类别，可以定义不同的扩展属性列，如：书籍的“作者”、“出版社”；电脑的“CPU”、“内存”等...添加商品时选择的分类将是商品的主分类，扩展属性是跟随商品主分类的。所以选择了合适的主分类，也就确定了商品的扩展属性。以后在修改商品时如果进行多重分类，只要不改变主分类，就不会影响商品的扩展属性。\r\n\r\n另外，商品属性列除了跟随商品类别外，也可以设置为全部商品使用同样的属性列，详情请参考商店参数设置中关于“属性列模式”的设置。', NULL, NULL, NULL)");
$msql->query("INSERT INTO webshop_help VALUES (17, NULL, NULL, '关于商品多重分类？', '问：什么是商品多重分类？\r\n答：每个商品不仅可以属于他的主类别，也可以属于另外4个类别。在前台网站分类检索商品时，可以在多个类别检索到商品。\r\n\r\n问：如何添加商品的多重分类？\r\n答：选中左侧框中的一个类别，按“+”，即可添加一个类别。\r\n\r\n问：如何删除商品的一个分类？\r\n答：选中右侧框中的一个类别，按“-”，即可删除一个类别。\r\n\r\n问：哪个是商品的主类别？\r\n答：右侧框中的第一个类别是商品的主类别。\r\n\r\n问：主类别和非主类别有何区别？\r\n答：主类别决定了商品的扩展属性。\r\n\r\n问：主类别是否可以删除？\r\n答：可以删除，删除主类别后，新排在右侧框第一个的是新的主类别。删除主类别后，下次再进入本页时，商品扩展属性列将发生变化。\r\n\r\n问：我在v4.3以前版本添加商品的分类为什么不见了？\r\n答：v4.3版本对商品分类和管理功能进行了大幅度增强，很多功能的实现需要商品必须发布在最终一级类别。如果您在v4.3以前将商品添加在顶级类别中，现在进入商品修改界面时，需为商品指定一个类别。如果您以前将商品发布在中间类别，也建议您选择一个最终类别。此升级不会影响前台网站分类检索。', NULL, NULL, NULL)");
$msql->query("INSERT INTO webshop_help VALUES (18, NULL, NULL, '关于商品扩展属性列', '不同的商品除了都具有商品名称、价格等固定属性以外，还具有其特定的参数，我们将这些参数称为商品扩展属性。如：图书具有出版社、作者等扩展属性列。商品扩展属性列可以设置三种不同的模式：\r\n\r\n[每类商品采用不同属性列]\r\n在这种模式下，您可以为每一个商品类别指定扩展属性列。适合商品种类跨度大的综合型商店。\r\n\r\n[每个商品大类相同属性列]\r\n在这种模式下，您只能指定第一级分类的扩展属性列，所有商品都自动采用其所属第一级分类的属性列。适合各种商店，简化属性列定义过程。\r\n\r\n[每个商店栏目相同属性列]\r\n在这种模式下，您只能设置“栏目商品扩展属性列”。同一商店栏目的商品都将采用同样的属性列。适合创建了多个“网上商店型栏目”的多专业综合商店。\r\n\r\n[所有商品采用相同属性列]\r\n在这种模式下，您只能设置“全站商品扩展属性列”。所有商品都将采用同样的属性列。适合单一专业商店网站。\r\n\r\n问：在哪里设置商品属性列模式？\r\n答：在商店设置->商店参数设置中。\r\n\r\n问：在哪里添加和修改商品属性列？\r\n答：在商品管理->商品分类功能中。\r\n\r\n<b>高手技巧：基于扩展属性列的商品组合搜索功能</b>\r\n当商品扩展属性列模式设置为“所有商品采用相同属性列”时，可以针对扩展属性列进行组合搜索。实现方法如下：\r\n\r\n第一步：必须将商品扩展属性列模式设置为“所有商品采用相同属性列”\r\n\r\n第二步：调整搜索条件。\r\n修改模版temp/searchform_super.htm。按模版中的格式调整搜索条件。例如你需要将第5个属性列设为搜索条件，可以增加一条{#propname5#}，对应的文本框的名称设为prop5。\r\n系统预设可以将第1-5个属性列任意选取设为搜索条件。\r\n\r\n第三步：做一个“高级搜索”的链接到:search.php?supersearch=yes\r\n点这个链接，即可看到组合搜索表单。', NULL, NULL, NULL)");
$msql->query("INSERT INTO webshop_help VALUES (20, NULL, NULL, '关于商品的顾客评价', '顾客提交商品评论的同时，可以选择对商品的评价，分为：极佳 2分、较好1分、一般0分、较差-1分、极差-2分等五种评分。每个会员对一个商品只能参与一次评分，重复提交无效。\r\n\r\n评分需要转换为星级，通过商品评分设置，可以设定每一颗星分别对应的分数，如：1,10,30,50,100   ，说明：\r\n一颗星：1分\r\n二颗星：10分\r\n三颗星：30分\r\n四颗星：50分\r\n五颗星：100分\r\n\r\n请注意每个数字之间用“,”分割。\r\n\r\n\r\n问：如何插入一个商品评论提交表单?\r\n答：在栏目页面设置功能中，选择商店栏目的“商品详情页”，选择中间区域，插入一个“评论提交表单”插件。\r\n\r\n问：我从v4.3以前版本升级到v4.3版本后，为何看不到顾客评分？\r\n答：显示顾客评分需要改一下网站的模版文件：temp/goodsdetail.htm。增加一条顾客评分的项目，对应标签是{#star#}', NULL, NULL, NULL)");
$msql->query("INSERT INTO webshop_help VALUES (21, NULL, NULL, '关于系统邮件发送', '系统邮件发送在不同服务器操作系统环境是不同的。LINUX/UNIX 操作系统自带SENDMAIL()功能，可以直接发送邮件；而WINDOWS操作系统提供给PHP的邮件发送功能缺乏身份验证，无法直接使用，因此只能通过外面的SMTP邮件服务器转发邮件。\r\n\r\n问：是否可以用我的个人邮箱做SMTP邮件转发？\r\n答：可以，但有些SMTP邮件服务器由于作了安全设置，不允许从外部连接转发邮件。\r\n\r\n问：我的SMTP邮箱不能转发邮件，怎么办？\r\n答：关闭邮件发送功能，或更换到LINUX服务器环境的虚拟主机。', NULL, NULL, NULL)");
$msql->query("INSERT INTO webshop_help VALUES (22, NULL, NULL, '关于软件注册码', '本系统试用版不需填写注册码即可正常登录试用，正式版请正确填写注册码。\r\n\r\n如果填写了错误的注册码，系统将无法登录。', NULL, NULL, NULL)");
$msql->query("INSERT INTO webshop_help VALUES (23, NULL, NULL, '关于订单项目设置', '不同特性的商品可能需要不同的订单流程和订单填写项目。系统内置了三种不同特性商品的订单流程，用户可以根据需要设置不同的订单项目，这样您就可以在同一个商店中销售不同特性的商品。', NULL, NULL, NULL)");
$msql->query("INSERT INTO webshop_help VALUES (24, NULL, NULL, '关于非会员订购', '设置允许非会员订购时，在购物车下方分别出现“会员收银台”和“非会员收银台”，按“非会员收银台”可以直接填写提交订单。提交订单的同时，系统自动生成一个临时会员。生成临时会员的过程，顾客是感觉不到的，尤其对于数字商品，可简化订购过程。\r\n', NULL, NULL, NULL)");
$msql->query("INSERT INTO webshop_help VALUES (25, NULL, NULL, '关于非会员订购时套用的会员类型', '本系统允许用户自己定义会员类型，自己规划每种会员类型的价格和权限（详见：会员类型设置）。在非会员订购时，系统将自动生成一个会员。本功能让您指定生成的这个会员自动套用哪种会员类型的权限。\r\n\r\n建议专门设置一种临时会员。', NULL, NULL, NULL)");
$msql->query("INSERT INTO webshop_help VALUES (26, NULL, NULL, '关于受理订单的方式', '一般商店可设置自动受理订单，顾客下订单后直接进入“未完成订单”，顾客可直接支付订单。\r\n\r\n针对某些特殊的商店，系统自动计算的配送费用可能不准确，需要手工调整。可设置人工受理订单，人工调整配送费用后再受理订单。受理后的订单才能付款。', NULL, NULL, NULL)");
$msql->query("INSERT INTO webshop_help VALUES (27, NULL, NULL, '关于数字商品密匙', '数字商品需要将卡号密码等信息加密储存在数据库中。加密的时候采用双密匙，即系统密匙和自定密匙。\r\n\r\n每套正式版系统都有其特定的系统密匙，再由用户自定一个密匙。由两个密匙共同计算出加密串保存在数据库中。自定密匙应在第一个数字商品入库前就设置好，如果更换，已经入库的数字商品不能还原卡号密码。\r\n\r\n', NULL, NULL, NULL)");
$msql->query("INSERT INTO webshop_help VALUES (28, NULL, NULL, '关于是否启用积分', '设置启用积分系统时，购买商品时系统才会计算积分。如果设置了禁止积分，同时还应该在“会员类型设置->功能菜单设置”功能中关闭会员积分查询菜单。', NULL, NULL, NULL)");
$msql->query("INSERT INTO webshop_help VALUES (29, NULL, NULL, '是否按积分自动转换会员类型', '某些商店需要以会员积分自动改变会员类型。设置了“按积分自动转换会员类型”后，还应该在：“会员类型设置->参数设置”中修改每种会员类型的积分起点和终点，并保持各会员类型之间的积分没有空白地带。\r\n\r\n问：系统何时自动改变会员类型？\r\n答：当会员达到所需积分后，下次登录时自动转换会员类型。', NULL, NULL, NULL)");
$msql->query("INSERT INTO webshop_help VALUES (30, NULL, NULL, '关于商品订购时积分提交值的计算方式', '积分是按以下公式计算的：\r\n\r\n积分=提交值*乘积数+固定分\r\n\r\n在订购商品时，积分的提交值可设置两种方式：\r\n\r\n[按商品规定的固定积分计算提交值]\r\n\r\n这种模式下，在输入商品时，为每个商品预设一个积分，不论会员以什么价格购买商品，均以该积分值计算\r\n\r\n[按会员实际购买价格计算提交值]\r\n\r\n这种模式下，不需要为商品预设积分，会员购买商品时的实际价格将作为积分提交值。', NULL, NULL, NULL)");
$msql->query("INSERT INTO webshop_help VALUES (31, NULL, NULL, '关于积分事件和积分计算方法', '积分是按以下公式计算的：\r\n积分=提交值*乘积数+固定分\r\n\r\n提交值是系统预设的，如购买商品时以商品固定积分或实际购买价格来计算提交值。并以以上公式来计算会员获得的积分。除此而外，还可设置特殊的积分计算方式：\r\n\r\n方式一：当设置乘积数为0，固定分为1时，每次提交订单得1分\r\n\r\n方式二：当商品价格为零，商品固定积分为负数，并设置不允许负积分，该商品即作为用积分可换的赠品。', NULL, NULL, NULL)");




?>


